Update a shift on an employee’s timesheetCopy Pageput https://api.everee.com/integration/v1/labor/timesheet/worked-shifts/{workedShiftId}This endpoint allows you to make changes to shifts already recorded on a worker's timesheet.Query Paramscorrection-authorizedbooleanDefaults to falseWhether Everee should process a correction for a shift that's already paid-out. If false, updating a paid-out shift will result in an error.truefalseBody ParamsshiftStartEpochSecondsint32requiredThe timestamp when the worker "punched in" for this shift, or started working. UNIX epoch seconds.shiftEndEpochSecondsint32The timestamp when the worker "punched out" for this shift, or stopped working. UNIX epoch seconds.effectiveHourlyPayRateobjectThe hourly pay rate at which to calculate gross earnings for this shift.effectiveHourlyPayRate objectdisplayHourlyPayRateobjectThe hourly pay rate to display on pay stubs, if it's different from the "effective pay rate".displayHourlyPayRate objectoverrideWorkLocationIdint32The numeric ID of the "Work Location" at which this shift was worked. See the Work Locations API for more information. Determines tax liability based on that location, rather than the location assigned to the worker's profile.workersCompClassCodestringThe Workers Comp class code associated with this shift. Must match an entry in the configured list of Workers Comp class codes for the state in which the shift was workedcreateBreaksarray of objectsA list of breaks taken as part of this Shift.createBreaksADD objectcorrectionPaymentTimeframestringenumDefaults to NEXT_PAYROLL_PAYMENTHow to pay out an underpaid amount when this call results in a correction. This field only has an effect if the correction is an underpayment and an amount must be paid-out. If the correction is an overpayment, this field has no effect.NEXT_PAYROLL_PAYMENTIMMEDIATELYEXTERNALLY_PAIDAllowed:NEXT_PAYROLL_PAYMENTIMMEDIATELYEXTERNALLY_PAIDfullyClassifiedHoursarray of objectsA list of fully-classified "segments" of hours worked on this shift. This field is required if the company is set to "external timesheet classification"; otherwise, you're not allowed to provide this field, since Everee will classify hours automatically.fullyClassifiedHoursADD objectnotestringA free-form text note about the hours worked on this shift.Response 200200Updated 9 months ago